Incoming notification types#
Incoming notifications can be of the following types:
- incomingMessageReceived - a notification about incoming messages and files
- outgoingMessageReceived - a notification about outgoing messages and files
- outgoingAPIMessageReceived - a notification about a message sent from the API
- outgoingMessageStatus - a notification about the sending/delivery/read statuses of outgoing messages
- stateInstanceChanged - a notification about a change in the instance authorization state
- quotaExceeded - a notification that the Developer plan limits have been exceeded
Receiving notifications of different types#
To enable or disable notifications by type, use the SetSettings method
Request body example for the SetSettings method#
{
"outgoingWebhook": "yes",
"outgoingMessageWebhook": "yes",
"stateWebhook": "yes",
"incomingWebhook": "yes",
}